IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Companies Per Company Country Code GETGet Industries GETGet Jobs And Companies Per Job Country Code GETGet Technologies And Buying Intents GETGet Geographic Locations GETGet Keyword Categories GETGet Keyword Subcategories GET
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Catalog

Get Keyword Categories

Returns a list of main keyword categories (technologies and buying intents) with the number of keywords and companies in each. Optionally filters to return a specific category if category_slug is provided.

GET
/v1/catalog/keywords/categories

Query Parameters

  • category_slug
    stringnullable
    finance-and-accounting

    Optional category slug to filter and return only a specific category

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://api.theirstack.com/v1/catalog/keywords/categories"
    {
      "data": [
        {
          "name": "string",
          "slug": "string",
          "description": "string",
          "number_of_technologies": 0,
          "number_of_companies": 0
        }
      ],
      "metadata": {
        "total_results": 2034
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Get Geographic Locations GET

    Search for geographic locations by name or ID to retrieve standardized location data including city, region, and country. Use location IDs with job_location_or and job_location_not filters for precise geographic targeting in job searches.

    Get Keyword Subcategories GET

    Returns a list of keyword subcategories with their keywords. Behavior: returns all subcategories if no parameters are provided; returns all subcategories for a specific parent category if only category_slug is provided; returns a specific subcategory if both category_slug and subcategory_slug are provided.